Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.gui
Class Particle

    java.lang.Object
      net.minecraft.client.gui.Particle

    public class Particle

extends Object

Field Summary
`double` | `accelScale`
`boolean` | `isDead`
`double` | `posX`
`double` | `posY`
`double` | `prevPosX`
`double` | `prevPosY`
`double` | `prevTintAlpha`
`double` | `prevTintBlue`
`double` | `prevTintGreen`
`double` | `prevTintRed`
`int` | `timeLimit`
`int` | `timeTick`
`double` | `tintAlpha`
`double` | `tintBlue`
`double` | `tintGreen`
`double` | `tintRed`
`double` | `velocityX`
`double` | `velocityY`

Constructor Summary
`Particle()`

Method Summary
`void` | `preUpdate()`
`void` | `setDead()`
`void` | `update(GuiParticle par1GuiParticle)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### posX

    public double posX

### posY

    public double posY

### prevPosX

    public double prevPosX

### prevPosY

    public double prevPosY

### velocityX

    public double velocityX

### velocityY

    public double velocityY

### accelScale

    public double accelScale

### isDead

    public boolean isDead

### timeTick

    public int timeTick

### timeLimit

    public int timeLimit

### tintRed

    public double tintRed

### tintGreen

    public double tintGreen

### tintBlue

    public double tintBlue

### tintAlpha

    public double tintAlpha

### prevTintRed

    public double prevTintRed

### prevTintGreen

    public double prevTintGreen

### prevTintBlue

    public double prevTintBlue

### prevTintAlpha

    public double prevTintAlpha

Constructor Detail

### Particle

    public Particle()

Method Detail

### update

    public void update(GuiParticle par1GuiParticle)

### preUpdate

    public void preUpdate()

### setDead

    public void setDead()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD